| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Types | Protected Member Functions | Static Protected Member Functions | Protected Attributes | Private Member Functions | Static Private Member Functions | List of all members
HDF5::AccessImpl Class Reference
ODHDF5

brief Mixin for common stuff More...

`#include <hdf5accessimpl.h>`

Inheritance diagram for HDF5::AccessImpl:
[legend]

## Public Member Functions
| AccessImpl (ReaderImpl &)
| AccessImpl (WriterImpl &)
virtual | ~AccessImpl ()

## Static Public Member Functions
static void | setErrPrint (bool)
| user switch on/off

## Protected Types
typedef H5::PredType | H5DataType

## Protected Member Functions
bool | atDataSet (const char *) const
bool | atGroup (const char *&) const
void | doCloseFile (Access &)
const char * | gtFileName () const
od_int64 | gtGroupID () const
DataSetKey | gtScope () const
bool | haveDataSet () const
bool | haveGroup () const
H5::DataSet * | selectDataSet (const char *) const
H5::Group * | selectGroup (const char *) const
void | selectSlab (H5::DataSpace &, const SlabSpec &, TypeSet< hsize_t > *pcounts=0) const
| can throw, use in try block
H5::DataSet * | stDSScope (const DataSetKey &)
H5::DataSet * | stDSScope (const DataSetKey &) const
H5::Group * | stGrpScope (const DataSetKey *)
H5::Group * | stGrpScope (const DataSetKey *) const
H5::H5Location * | stLocation (const DataSetKey *)
H5::H5Location * | stLocation (const DataSetKey *) const
H5::H5Object * | stScope (const DataSetKey *)
H5::H5Object * | stScope (const DataSetKey *) const

## Static Protected Member Functions
static const H5DataType & | h5DataTypeFor (ODDataType)
static bool | haveErrPrint ()

## Protected Attributes
Access & | acc_
H5::DataSet | dataset_
H5::Group | group_
ArrayNDInfo::nr_dims_type | nrdims_

## Private Member Functions
| mOD_DisableCopy (AccessImpl)

## Static Private Member Functions
static void | disableErrPrint ()
static void | enableErrPrint ()
static void | restoreErrPrint ()
static bool | validH5Obj (const H5::H5Object &)

## Detailed Description

brief Mixin for common stuff

<>

## Member Typedef Documentation

## ◆ H5DataType

typedef H5::PredType HDF5::AccessImpl::H5DataType
| protected

## Constructor & Destructor Documentation

## ◆ AccessImpl() [1/2]

HDF5::AccessImpl::AccessImpl | ( | ReaderImpl & |  | ) |

## ◆ AccessImpl() [2/2]

HDF5::AccessImpl::AccessImpl | ( | WriterImpl & |  | ) |

## ◆ ~AccessImpl()

virtual HDF5::AccessImpl::~AccessImpl | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ atDataSet()

bool HDF5::AccessImpl::atDataSet | ( | const char * |  | ) | const
| protected

## ◆ atGroup()

bool HDF5::AccessImpl::atGroup | ( | const char *& |  | ) | const
| protected

## ◆ disableErrPrint()

static void HDF5::AccessImpl::disableErrPrint | ( |  | ) |
| static private

## ◆ doCloseFile()

void HDF5::AccessImpl::doCloseFile | ( | Access & |  | ) |
| protected

## ◆ enableErrPrint()

static void HDF5::AccessImpl::enableErrPrint | ( |  | ) |
| static private

## ◆ gtFileName()

const char * HDF5::AccessImpl::gtFileName | ( |  | ) | const
| protected

## ◆ gtGroupID()

od_int64 HDF5::AccessImpl::gtGroupID | ( |  | ) | const
| protected

## ◆ gtScope()

DataSetKey HDF5::AccessImpl::gtScope | ( |  | ) | const
| protected

## ◆ h5DataTypeFor()

static const H5DataType & HDF5::AccessImpl::h5DataTypeFor | ( | ODDataType |  | ) |
| static protected

## ◆ haveDataSet()

bool HDF5::AccessImpl::haveDataSet | ( |  | ) | const
| protected

## ◆ haveErrPrint()

static bool HDF5::AccessImpl::haveErrPrint | ( |  | ) |
| static protected

## ◆ haveGroup()

bool HDF5::AccessImpl::haveGroup | ( |  | ) | const
| protected

## ◆ mOD_DisableCopy()

HDF5::AccessImpl::mOD_DisableCopy | ( | AccessImpl |  | ) |
| private

## ◆ restoreErrPrint()

static void HDF5::AccessImpl::restoreErrPrint | ( |  | ) |
| static private

## ◆ selectDataSet()

H5::DataSet * HDF5::AccessImpl::selectDataSet | ( | const char * |  | ) | const
| protected

## ◆ selectGroup()

H5::Group * HDF5::AccessImpl::selectGroup | ( | const char * |  | ) | const
| protected

## ◆ selectSlab()

void HDF5::AccessImpl::selectSlab | ( | H5::DataSpace & | ,
|  | const SlabSpec & | ,
|  | TypeSet< hsize_t > * | pcounts = 0 ) const
| protected

can throw, use in try block

## ◆ setErrPrint()

static void HDF5::AccessImpl::setErrPrint | ( | bool |  | ) |
| static

user switch on/off

## ◆ stDSScope() [1/2]

H5::DataSet * HDF5::AccessImpl::stDSScope | ( | const DataSetKey & |  | ) |
| protected

## ◆ stDSScope() [2/2]

H5::DataSet * HDF5::AccessImpl::stDSScope | ( | const DataSetKey & |  | ) | const
| protected

## ◆ stGrpScope() [1/2]

H5::Group * HDF5::AccessImpl::stGrpScope | ( | const DataSetKey * |  | ) |
| protected

## ◆ stGrpScope() [2/2]

H5::Group * HDF5::AccessImpl::stGrpScope | ( | const DataSetKey * |  | ) | const
| protected

## ◆ stLocation() [1/2]

H5::H5Location * HDF5::AccessImpl::stLocation | ( | const DataSetKey * |  | ) |
| protected

## ◆ stLocation() [2/2]

H5::H5Location * HDF5::AccessImpl::stLocation | ( | const DataSetKey * |  | ) | const
| protected

## ◆ stScope() [1/2]

H5::H5Object * HDF5::AccessImpl::stScope | ( | const DataSetKey * |  | ) |
| protected

## ◆ stScope() [2/2]

H5::H5Object * HDF5::AccessImpl::stScope | ( | const DataSetKey * |  | ) | const
| protected

## ◆ validH5Obj()

static bool HDF5::AccessImpl::validH5Obj | ( | const H5::H5Object & |  | ) |
| static private

## Member Data Documentation

## ◆ acc_

Access& HDF5::AccessImpl::acc_
| protected

## ◆ dataset_

H5::DataSet HDF5::AccessImpl::dataset_
| mutable protected

## ◆ group_

H5::Group HDF5::AccessImpl::group_
| mutable protected

## ◆ nrdims_

ArrayNDInfo::nr_dims_type HDF5::AccessImpl::nrdims_
| mutable protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025